Bug 496866 - Anaconda allows encryption of /boot partition
Anaconda allows encryption of /boot partition
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 10:04 EDT by Jan Stodola
Modified: 2009-05-26 09:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 09:17:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2009-04-21 10:04:38 EDT
Description of problem:
Anaconda allows me to encrypt /boot partition. Encryption of /boot partition should not be allowed.

Version-Release number of selected component (if applicable):
rawhide 20090420

How reproducible:
always

Steps to Reproduce:
1. install rawhide 20090420
2. on partition screen select "Review and modify partitioning layout"
3. on the next screen edit /boot partition, select "Encrypt"
4. continue installation
  
Actual results:
anaconda allows to encrypt /boot partition

Expected results:
anaconda should prevent encrypt /boot partition

Additional info:
Comment 1 Chris Lumens 2009-04-22 13:43:51 EDT
This should be fixed in the next build of anaconda.  Thanks for reporting the problem with the existing test for encrypted /boot.
Comment 2 Jan Stodola 2009-05-26 04:57:44 EDT
Verified on rawhide-20090525, anaconda-11.5.0.54-1.fc11.x86_64.rpm

Note You need to log in before you can comment on or make changes to this bug.